| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::ItemListerValueListReceiver Class Reference
Inheritance diagram for Digikam::ItemListerValueListReceiver:

## Public Member Functions
void | error (const QString &errMsg) override
void | receive (const ItemListerRecord &record) override

## Public Attributes
bool | hasError = false
QList< ItemListerRecord > | records

## Member Function Documentation

## ◆ error()

void Digikam::ItemListerValueListReceiver::error | ( | const QString & | errMsg | ) |
| override virtual

Reimplemented from Digikam::ItemListerReceiver.

## ◆ receive()

void Digikam::ItemListerValueListReceiver::receive | ( | const ItemListerRecord & | record | ) |
| override virtual

Implements Digikam::ItemListerReceiver.